﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajax" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title></title>
	<style>
		html,
		body,
		form {
			height: 100%;
		}
		div.RadGrid .rgAltRow{
			background: #aefe8c;
		}
		div.RadGrid .rgRow {
			background: #b6ffff;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
		<script>
			function radGridCreated(sender, args) {

			}
		</script>
		<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
		</telerik:RadScriptManager>
		<telerik:RadGrid ID="RadGrid1" runat="server" DataSourceID="SqlDataSource1" GridLines="None"
			OnItemDataBound="RadGrid1_ItemDataBound" AllowPaging="True" PageSize="3" AllowSorting="True">
			<MasterTableView DataSourceID="SqlDataSource1" AutoGenerateColumns="False" DataKeyNames="CustomerID">
				<Columns>
					<telerik:GridBoundColumn DataField="CompanyName" HeaderText="CompanyName" SortExpression="CompanyName"
						UniqueName="CompanyName">
					</telerik:GridBoundColumn>
					<telerik:GridBoundColumn DataField="ContactName" HeaderText="ContactName" SortExpression="ContactName"
						UniqueName="ContactName">
					</telerik:GridBoundColumn>
					<telerik:GridBoundColumn DataField="ContactTitle" HeaderText="ContactTitle" SortExpression="ContactTitle"
						UniqueName="ContactTitle">
					</telerik:GridBoundColumn>
					<telerik:GridTemplateColumn DataField="CustomerID" UniqueName="ChartColumn" HeaderText="OrdersPerProduct">
						<ItemTemplate>
							<telerik:RadChart ID="RadChart1" AutoLayout="true" runat="server" Width="400" Height="170"
								ChartTitle-Visible="false" DataSourceID="SqlDataSource2">
								
								<PlotArea Appearance-Dimensions-Margins="10,10,10,10">
									<Appearance >
										<FillStyle MainColor="">
											<FillSettings ></FillSettings>
										</FillStyle>
									</Appearance>
									<XAxis Visible="False">
									</XAxis>
								</PlotArea>
								<Legend Visible="false"></Legend>
							</telerik:RadChart>
						</ItemTemplate>
					</telerik:GridTemplateColumn>
				</Columns>
			</MasterTableView>
			<PagerStyle Mode="NextPrevAndNumeric"></PagerStyle>
		</telerik:RadGrid>
		<asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
			SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName], [ContactTitle] FROM [Customers]"></asp:SqlDataSource>
		<asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
			SelectCommand="SELECT top 5 p.ProductName as pName, p.ProductID as pID, od.Quantity as quantity FROM orders as o, [order details] as od, products as p
                           WHERE od.ProductID = p.ProductID and od.OrderID = o.OrderID and CustomerID = @CustomerID">
			<SelectParameters>
				<asp:Parameter Name="CustomerID"></asp:Parameter>
			</SelectParameters>
		</asp:SqlDataSource>

		
	</form>
</body>
</html>
